/ comp / gb.qt / action / raise
Action.Raise (gb.qt)
Syntax

    STATIC SUB Raise ( Control AS Object )

Activates the action the specified Control is linked to.

This is done automatically by the component when a control linked to this action is activated: i.e. clicked for a Button, a ToggleButton, a ToolButton or a Menu, shown or hidden for a SidePanel, a ToolBar or a Window.

An activated action is handled in the window the control belongs to by a method named `Action_Activate` returning a boolean value.

If this method does not exist, or if it returns TRUE:

- If the control window is embedded, then the `Action_Activate` of the parent window is tried.
- If the window is top-level, then the action is silently dropped.